Manuel PHP
Précédent |  | Suivant

# finfo_open

(PECL)

finfo_open -- Crée une nouvelle ressource fileinfo

## Description

resource finfo_open ( [int options [, string arg]] )
class finfo {
__construct ( [int options [, string magic_file]] )
}

Cette fonction ouvre une base de données magique et retourne sa ressource.

## Liste de paramètres

options

  Une ou une union de plusieurs constantes Fileinfo.

magic_file

  Nom de fichier d'une base de données magique, normalement quelque chose comme `/path/to/magic.mime`. Si non spécifié, la variable d'environnement MAGIC est utilisée. Si cette variable n'est pas fixée non plus, `/usr/share/misc/magic` est utilisé. L'extension .mime et/ou .mgc est ajoutée si approprié.

## Valeurs de retour

Retourne une ressource de base de données magique en cas de succès ou `FALSE` en cas d'échec.

## Voir aussi

finfo_close()

Précédent | Sommaire | Suivant
finfo_file | Niveau supérieur | finfo_set_flags